Restore a deleted user profile
curl --request POST \
--url https://databunker.internal.example.com/v2/SystemRestoreUserProfile \
--header 'Content-Type: application/json' \
--header 'X-Bunker-Token: <api-key>' \
--data '
{
"token": "<string>",
"unlockuuid": "<string>",
"tenantid": 123,
"tenantname": "<string>",
"request_metadata": {}
}
'import requests
url = "https://databunker.internal.example.com/v2/SystemRestoreUserProfile"
payload = {
"token": "<string>",
"unlockuuid": "<string>",
"tenantid": 123,
"tenantname": "<string>",
"request_metadata": {}
}
headers = {
"X-Bunker-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Bunker-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: '<string>',
unlockuuid: '<string>',
tenantid: 123,
tenantname: '<string>',
request_metadata: {}
})
};
fetch('https://databunker.internal.example.com/v2/SystemRestoreUserProfile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"result": "restored",
"token": "<string>",
"profile": {}
}{
"status": "error",
"message": "Missing API request parameters: profile"
}{
"status": "error",
"message": "Access denied"
}{
"status": "error",
"message": "The user record was not found"
}{
"status": "error",
"message": "Internal error"
}System Operations
Restore a deleted user profile
Restores a previously deleted user profile for a specific tenant from version history.
The caller must provide the user token and either tenantid or tenantname.
Only accessible by the main tenant admin (tenantID=1).
Requires a bulk list unlock UUID obtained from BulkListUnlock.
POST
/
v2
/
SystemRestoreUserProfile
Restore a deleted user profile
Authorizations
API token for authentication
Body
application/json
User's unique token (UUID) within the tenant
UUID from bulk list unlock for authorization
Tenant ID where the user profile should be restored
Tenant name where the user profile should be restored (alternative to tenantid)
Additional metadata for the request
⌘I